oasis.names.tc.saml._2_0.protocol

## Class RequestedAuthnContext

- java.lang.Object
- - oasis.names.tc.saml._2_0.protocol.RequestedAuthnContext

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:06:15+01:00",
                 comments="JAXB RI v2.3.7")
      public class RequestedAuthnContext
      extends Object
      implements Serializable

  Java class for RequestedAuthnContextType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="RequestedAuthnContextType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextClassRef" maxOccurs="unbounded"/>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}AuthnContextDeclRef" maxOccurs="unbounded"/>
             </choice>
             <attribute name="Comparison" type="{urn:oasis:names:tc:SAML:2.0:protocol}AuthnContextComparisonType" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestedAuthnContext()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAuthnContextClassReves()` Gets the value of the authnContextClassReves property.
    `List<String>` | `getAuthnContextDeclReves()` Gets the value of the authnContextDeclReves property.
    `AuthnContextComparisonType` | `getComparison()` Gets the value of the comparison property.
    `void` | `setComparison(AuthnContextComparisonType value)` Sets the value of the comparison property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestedAuthnContext

          public RequestedAuthnContext()

  - ### Method Detail

    - #### getAuthnContextDeclReves

          public List<String> getAuthnContextDeclReves()

      Gets the value of the authnContextDeclReves property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the authnContextDeclReves property.

      For example, to add a new item, do as follows:

              getAuthnContextDeclReves().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getAuthnContextClassReves

          public List<String> getAuthnContextClassReves()

      Gets the value of the authnContextClassReves property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the authnContextClassReves property.

      For example, to add a new item, do as follows:

              getAuthnContextClassReves().add(newItem);

      Objects of the following type(s) are allowed in the list `String`

    - #### getComparison

          public AuthnContextComparisonType getComparison()

      Gets the value of the comparison property.
      Returns:
        possible object is `AuthnContextComparisonType`

    - #### setComparison

          public void setComparison(AuthnContextComparisonType value)

      Sets the value of the comparison property.
      Parameters:
        `value` - allowed object is `AuthnContextComparisonType`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.